%define major 0
%define libname %mklibname %{name}-core %{major}

Summary:	Toolset to accelerate the boot process as well as application startups
Name:		e4rat
Version:	0.2.3
Release:	%mkrel 5
License:	GPLv3
Group:		System/Boot and Init
URL:		http://e4rat.sourceforge.net/
Source0:	http://sourceforge.net/projects/e4rat/files/%{name}_%{version}_src.tar.xz
Patch0:		git.diff
Patch1:		e4rat-0.2.2-libdir.patch
Patch2:		e4rat-0.2.3-shared-build.patch
Patch3:		e4rat-0.2.3-gcc7.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	ext2fs-devel
BuildRequires:	libblkid-devel
BuildRequires:	audit-devel
BuildRequires:	auparse-devel
BuildRequires:	libstdc++-devel
Requires: lsof

%description
e4rat ("Ext4 - Reducing Access Times") is a toolset to accelerate the boot
process as well as application startups. Through physical file realloction
e4rat eliminates both seek times and rotational delays. This leads to a high
disk transfer rate.

Placing files on disk in a sequentially ordered way allows to efficiently
read-ahead files in parallel to the program startup. The combination of
sequentially reading and a high cache hit rate may reduce the boot time by a
factor of three, as the example below shows.

e4rat is based on the online defragmentation ioctl EXT4_IOC_MOVE_EXT from the
Ext4 filesystem, which was introduced in Linux Kernel 2.6.31. Other filesystem
types and/or earlier versions of extended filesystems are not supported. 

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
mkdir -p %buildroot/var/lib/e4rat

mkdir -p %buildroot/sbin
mv %buildroot/%{_sbindir}/%{name}-collect %buildroot/sbin/%{name}-collect
mv %buildroot/%{_sbindir}/%{name}-preload %buildroot/sbin/%{name}-preload
mv %buildroot/%{_sbindir}/%{name}-realloc %buildroot/sbin/%{name}-realloc

%files
%doc README
%config %{_sysconfdir}/%{name}.conf
/sbin/*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}-collect.8*
%{_mandir}/man8/%{name}-preload.8*
%{_mandir}/man8/%{name}-realloc.8*
%dir /var/lib/e4rat
%exclude %{_libdir}/lib*%{name}-core.so
%{_libdir}/lib*%{name}-core.so.%{major}


%changelog
* Fri Sep 29 2017 bb2 <bb2> - 0.2.3-4pclos2017
- fix build with patch

* Mon Apr 11 2016 bb <bb> - 0.2.3-3pclos2016
- rebuild for new boost

